CMDBDomain (CMDB Model API)
Keywords: com.collation.platform.model.domain.CMDBDomain interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.domain
Interface CMDBDomain

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface CMDBDomain

extends LogicalElement

Represents a Domain CMDB

Naming Rules:
  0="name" 1="hostname,port"
Persistable:
  true
Table Name:
  DOMAINS
Display Name:
  name

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getDefaultDomain()`
`Scope` | `getDomainScope()`
`java.lang.String` | `getHostname()`
`long` | `getLastSynchTimestamp()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`int` | `getPort()`
`int` | `getRmiPort()`
`SyncQuery` | `getSynchQuery()`
`SyncSchedule[]` | `getSynchSchedules()`
`int` | `getWebPort()`
`int` | `getWebsslPort()`
`boolean` | `hasDefaultDomain()`
`boolean` | `hasDomainScope()`
`boolean` | `hasHostname()`
`boolean` | `hasLastSynchTimestamp()`
`boolean` | `hasName()`
`boolean` | `hasPassword()`
`boolean` | `hasPort()`
`boolean` | `hasRmiPort()`
`boolean` | `hasSynchQuery()`
`boolean` | `hasSynchSchedules()`
`boolean` | `hasWebPort()`
`boolean` | `hasWebsslPort()`
`void` | `setDefaultDomain(boolean isDefault)` Specified whether this domain is the catch all domain - i.e.
`void` | `setDomainScope(Scope scope)` The Scope for this domain
`void` | `setHostname(java.lang.String hostName)` The ip or hostname for this domain.
`void` | `setLastSynchTimestamp(long timestamp)`
`void` | `setName(java.lang.String name)` The name for this domain
`void` | `setPassword(java.lang.String password)` The password that is needed for JINI communications between the ECMDB and domain CMDB This password is stored encrypted
`void` | `setPort(int port)` The Unicast discovery port for this domain's JINI registry
`void` | `setRmiPort(int port)` Naming service RMI registry port collation.properties: com.collation.rmiport=9433
`void` | `setSynchQuery(SyncQuery query)` Query for sync with domain, contains a list of shallow model objects that need to be synced for that domain
`void` | `setSynchSchedules(SyncSchedule[] policies)` Sets schedules for domain synch
`void` | `setWebPort(int port)` HTTP port to use without SSL collation.properties: com.collation.webport=9430
`void` | `setWebsslPort(int port)` HTTPS port to use with SSL collation.properties: com.collation.websslport=9431

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String name)

  The name for this domain

  Parameters:
    `name` -

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setHostname

    void setHostname(java.lang.String hostName)

  The ip or hostname for this domain. The domain should be reachable from ECMDB by looking up the JINI registry for this domain

  Parameters:
    `name` -

### getHostname

    java.lang.String getHostname()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostname

    boolean hasHostname()

### setPort

    void setPort(int port)

  The Unicast discovery port for this domain's JINI registry

  Parameters:
    `port` -

### getPort

    int getPort()
                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPort

    boolean hasPort()

### setPassword

    void setPassword(java.lang.String password)

  The password that is needed for JINI communications between the ECMDB and domain CMDB This password is stored encrypted

  Parameters:
    `password` -

### getPassword

    java.lang.String getPassword()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasPassword

    boolean hasPassword()

### setWebPort

    void setWebPort(int port)

  HTTP port to use without SSL collation.properties: com.collation.webport=9430

### getWebPort

    int getWebPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWebPort

    boolean hasWebPort()

### setWebsslPort

    void setWebsslPort(int port)

  HTTPS port to use with SSL collation.properties: com.collation.websslport=9431

### getWebsslPort

    int getWebsslPort()
                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWebsslPort

    boolean hasWebsslPort()

### setRmiPort

    void setRmiPort(int port)

  Naming service RMI registry port collation.properties: com.collation.rmiport=9433

### getRmiPort

    int getRmiPort()
                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRmiPort

    boolean hasRmiPort()

### setSynchSchedules

    void setSynchSchedules(SyncSchedule[] policies)

  Sets schedules for domain synch

  Parameters:
    `policies` -

### getSynchSchedules

    SyncSchedule[] getSynchSchedules()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSynchSchedules

    boolean hasSynchSchedules()

### setLastSynchTimestamp

    void setLastSynchTimestamp(long timestamp)

  Parameters:
    `timestamp` -

### getLastSynchTimestamp

    long getLastSynchTimestamp()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasLastSynchTimestamp

    boolean hasLastSynchTimestamp()

### setSynchQuery

    void setSynchQuery(SyncQuery query)

  Query for sync with domain, contains a list of shallow model objects that need to be synced for that domain

  Parameters:
    `query` -

### getSynchQuery

    SyncQuery getSynchQuery()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSynchQuery

    boolean hasSynchQuery()

### setDefaultDomain

    void setDefaultDomain(boolean isDefault)

  Specified whether this domain is the catch all domain - i.e. IP scopes that do not belong to any specific domain that exists on the ECMDB

  Parameters:
    `isDefault` -

### getDefaultDomain

    boolean getDefaultDomain()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefaultDomain

    boolean hasDefaultDomain()

### setDomainScope

    void setDomainScope(Scope scope)

  The Scope for this domain

  Parameters:
    `scope` -

### getDomainScope

    Scope getDomainScope()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDomainScope

    boolean hasDomainScope()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD